> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.wodup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a comment



## OpenAPI

````yaml put /api/public/comments/{id}
openapi: 3.0.0
info:
  title: WodUp Public API
  version: '0.1'
servers:
  - description: Development / testing server
    url: https://api.wodup.dev
    variables: {}
security:
  - authorization: []
tags: []
paths:
  /api/public/comments/{id}:
    put:
      tags: []
      summary: Update a comment
      operationId: WodUpWeb.PublicApi.CommentController.update
      parameters:
        - description: |
            **Only used by platform integrations**  
            ID of gym to execute on behalf of
          example: gym_123abc
          in: header
          name: wodup-gym
          required: false
          schema:
            type: string
        - description: ID of comment to update
          example: c_123abc
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCommentRequest'
        description: Update comment params
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCommentResponse'
          description: Update comment response
      callbacks: {}
components:
  schemas:
    UpdateCommentRequest:
      description: POST body for updating a comment
      example:
        text: Really good job!
      properties:
        text:
          description: Comment content
          type: string
      title: UpdateCommentRequest
      type: object
    UpdateCommentResponse:
      allOf:
        - $ref: '#/components/schemas/Comment'
      example:
        author:
          id: ath_123abc
          name: Jane Doe
        can_modify: true
        created_at: '2000-01-01T00:00:00Z'
        id: c_123abc
        replies: []
        text: Really good job!
      title: UpdateCommentResponse
      type: object
    Comment:
      example:
        author:
          id: ath_123abc
          name: Jane Doe
        can_modify: true
        created_at: '2000-01-01T00:00:00Z'
        id: c_123abc
        replies: []
        text: Great job!
      properties:
        author:
          description: Can be null if comment has been deleted
          example:
            id: ath_123abc
            name: Jane Doe
          properties:
            id:
              description: >-
                ID of author. Can be null if author is not associated with your
                gym.
              type: string
            name:
              description: Author name
              type: string
          required:
            - name
          title: CommentAuthor
          type: object
        can_modify:
          description: Whether the comment can be edited or deleted by your API key.
          type: boolean
        created_at:
          description: Date comment created. ISO8601 timestamp in UTC
          format: timestamptz
          type: string
        id:
          description: Comment ID
          type: string
        text:
          description: Comment text
          type: string
      required:
        - id
        - created_at
        - replies
        - can_modify
      title: Comment
      type: object
  securitySchemes:
    authorization:
      scheme: basic
      type: http

````